Subject: Israeli Source of chairs rated for software developers' use?

From: Omer Zak <[email-masked]>
Date: Sun, 13 Jul 2008 18:24:10 +0300

The http://www.codinghorror.com/blog/archives/001146.html article in the
Coding Horror blog discusses chairs for software developers, starting
with the classical&notorious Aeron.

What is the best Israeli source for high quality chairs?
Preferably a place where you can also try chairs, and adjust them with
help and advice from shop salespeople, until you achieve the perfect fit
and buy it.

                                      --- Omer

-- 
In civilized societies, captions are as important in movies as
soundtracks, professional photography and expert editing.
My own blog is at http://www.zak.co.il/tddpirate/

My opinions, as expressed in this E-mail message, are mine alone.
They do not represent the official policy of any organization with which
I may be affiliated in any way.
WARNING TO SPAMMERS:  at http://www.zak.co.il/spamwarning.html